package com.yonge.cooleshow.portal.dto;

import com.yonge.cooleshow.mbg.model.PmsBrand;
import com.yonge.cooleshow.mbg.model.PmsProductAttributeCategory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-11
 */
@ApiModel("商品列表查询条件列表")
public class ProductSearchConditionVo {

    @ApiModelProperty("品牌")
    private List<PmsBrand> brandList;

    @ApiModelProperty("商品分类")
    private List<ProductCategorySmallVo> productCategorySmallVoList;

    @ApiModelProperty("商品类型")
    private List<PmsProductAttributeCategory> productAttributeCategoryList;

    public List<PmsBrand> getBrandList() {
        return brandList;
    }

    public void setBrandList(List<PmsBrand> brandList) {
        this.brandList = brandList;
    }

    public List<ProductCategorySmallVo> getProductCategorySmallVoList() {
        return productCategorySmallVoList;
    }

    public void setProductCategorySmallVoList(List<ProductCategorySmallVo> productCategorySmallVoList) {
        this.productCategorySmallVoList = productCategorySmallVoList;
    }

    public List<PmsProductAttributeCategory> getProductAttributeCategoryList() {
        return productAttributeCategoryList;
    }

    public void setProductAttributeCategoryList(List<PmsProductAttributeCategory> productAttributeCategoryList) {
        this.productAttributeCategoryList = productAttributeCategoryList;
    }
}
